summaryrefslogtreecommitdiffstats
path: root/network/plowshare
diff options
context:
space:
mode:
author Mikhail Cuddy <mikhailcuddy@gmail.com>2010-03-03 14:22:51 -0600
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 13:24:46 +0200
commit599a3069bd00a75b7c15af41011faad50b53c560 (patch)
treedcc646daa8ad574576551ec682d6fff04cea77c5 /network/plowshare
parent8378f987c75193dfed04b5ec0a0f876bbaccda36 (diff)
downloadslackbuilds-599a3069bd00a75b7c15af41011faad50b53c560.tar.gz
slackbuilds-599a3069bd00a75b7c15af41011faad50b53c560.tar.xz
network/plowshare: Added.
Plowshare is a command-line downloader and uploader for some of the most popular file-sharing websites. Thanks to Mikhail Cuddy.
Diffstat (limited to 'network/plowshare')
-rw-r--r--network/plowshare/README7
-rwxr-xr-xnetwork/plowshare/plowshare.SlackBuild47
-rw-r--r--network/plowshare/plowshare.info10
-rw-r--r--network/plowshare/slack-desc19
4 files changed, 83 insertions, 0 deletions
diff --git a/network/plowshare/README b/network/plowshare/README
new file mode 100644
index 0000000000..0048668ec8
--- /dev/null
+++ b/network/plowshare/README
@@ -0,0 +1,7 @@
+Plowshare is a command-line downloader/uploader for some of the most popular
+file-sharing websites. It presently supports Megaupload, Rapidshare, 2Shared,
+4Shared, ZShare, Badongo, Depositfiles, Mediafire, Netload.in, Storage.to,
+Uploaded.to, Uploading.com, Sendspace, Usershare and X7.to.
+
+This requires recode. tesseract, js and/or perl-Magick are required
+(at runtime) for some sites. See the plowshare website for details.
diff --git a/network/plowshare/plowshare.SlackBuild b/network/plowshare/plowshare.SlackBuild
new file mode 100755
index 0000000000..d74fe3137a
--- /dev/null
+++ b/network/plowshare/plowshare.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Slackware build script for plowshare
+
+# Written by Mikhail Cuddy <mikhailcuddy@gmail.com>
+
+PRGNAM=plowshare
+VERSION=${VERSION:-0.9.1}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+DESTDIR=$PKG PREFIX=/usr sh setup.sh install
+
+rm -r $PKG/usr/share/doc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/plowshare/plowshare.info b/network/plowshare/plowshare.info
new file mode 100644
index 0000000000..9751b38613
--- /dev/null
+++ b/network/plowshare/plowshare.info
@@ -0,0 +1,10 @@
+PRGNAM="plowshare"
+VERSION="0.9.1"
+HOMEPAGE="http://code.google.com/p/plowshare/"
+DOWNLOAD="http://plowshare.googlecode.com/files/plowshare-0.9.1.tgz"
+MD5SUM="df652252faa364965c122159769f7e56"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikhail Cuddy"
+EMAIL="mikhailcuddy@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/network/plowshare/slack-desc b/network/plowshare/slack-desc
new file mode 100644
index 0000000000..1d612ea2aa
--- /dev/null
+++ b/network/plowshare/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+plowshare: plowshare (file-sharing website utility)
+plowshare:
+plowshare: Plowshare is a command-line downloader/uploader for some of the most
+plowshare: popular file-sharing websites. It presently supports Megaupload,
+plowshare: Rapidshare, 2Shared, 4Shared, ZShare, Badongo, Depositfiles,
+plowshare: Mediafire, Netload.in, Storage.to, Uploaded.to, Uploading.com,
+plowshare: Sendspace, Usershare and X7.to.
+plowshare:
+plowshare: http://code.google.com/p/plowshare/
+plowshare:
+plowshare: